Bug#460919: libgtk2.0-0: error while loading shared libraries: libgtk-x11-2.0.so.0

Andrzej Buchowicz A.Buchowicz at ire.pw.edu.pl
Tue Jan 15 16:45:50 UTC 2008

Package: libgtk2.0-0
Version: 2.8.20-7
Severity: important

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-5-amd64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages libgtk2.0-0 depends on:
ii  libatk1.0-0            1.12.4-3          The ATK accessibility toolkit
ii  libc6                  2.3.6.ds1-13etch4 GNU C Library: Shared libraries
ii  libcairo2              1.2.4-4           The Cairo 2D vector 
graphics libra
ii  libfontconfig1         2.4.2-1.2         generic font configuration 
ii  libglib2.0-0           2.12.4-2          The GLib library of C routines
ii  libgtk2.0-common       2.8.20-7          Common files for the GTK+ 
ii  libjpeg62              6b-13             The Independent JPEG 
Group's JPEG
ii  libpango1.0-0          1.14.8-5          Layout and rendering of 
ii  libpng12-0             1.2.15~beta5-1    PNG library - runtime
ii  libtiff4               3.8.2-7           Tag Image File Format 
(TIFF) libra
ii  libx11-6               2:1.0.3-7         X11 client-side library
ii  libxcursor1            1.1.7-4           X cursor management library
ii  libxext6               1:1.0.1-2         X11 miscellaneous extension 
ii  libxfixes3             1:4.0.1-5         X11 miscellaneous 'fixes' 
ii  libxi6                 1:1.0.1-4         X11 Input extension library
ii  libxinerama1           1:1.0.1-4.1       X11 Xinerama extension library
ii  libxrandr2             2:       X11 RandR extension library
ii  libxrender1            1:0.9.1-3         X Rendering Extension 
client libra

Versions of packages libgtk2.0-0 recommends:
ii  hicolor-icon-theme            0.8-4      default fallback theme for 
ii  libgtk2.0-bin                 2.8.20-7   The programs for the GTK+ 

-- no debconf information

I am trying to execute Eclipse IDE extracted from 
The following error message is displayed:
andrzejb at frog2:~$ /usr/local/eclipse/eclipse
/usr/local/eclipse/eclipse: error while loading shared libraries: 
libgtk-x11-2.0.so.0: cannot open shared object file: No such file or 

I am using the following java environment:
andrzejb at frog2:~$ java -version
java version "1.6.0_04"
Java(TM) SE Runtime Environment (build 1.6.0_04-b12)
Java HotSpot(TM) Client VM (build 10.0-b19, mixed mode, sharing)

The same error message is displayed if gij (GNU libgcj) version 4.1.2 
20061115 (prerelease) (Debian 4.1.1-20) java is used.

The same Eclipse IDE with Sun's java works perfectly on Fedora 8 (64 bit)

More information about the pkg-gnome-maintainers mailing list